Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class NonNegativeInteger

    java.lang.Object
      java.lang.Number
          java.math.BigInteger
              org.apache.axis.types.NonNegativeInteger

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  PositiveInteger

public class NonNegativeInteger
extends java.math.BigInteger

Custom class for supporting primitive XSD data type nonNegativeInteger

Author:
  Russell Butek
See Also:
  XML Schema 3.3.20, Serialized Form

Nested Class Summary
`protected static class` | `NonNegativeInteger.BigIntegerRep`

Field Summary

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`NonNegativeInteger(byte[] val)`
`NonNegativeInteger(int signum, byte[] magnitude)`
`NonNegativeInteger(int bitLength, int certainty, java.util.Random rnd)`
`NonNegativeInteger(int numBits, java.util.Random rnd)`
`NonNegativeInteger(java.lang.String val)`
`NonNegativeInteger(java.lang.String val, int radix)`

Method Summary
`java.lang.Object` | `writeReplace()` Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, probablePrime, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonNegativeInteger

    public NonNegativeInteger(byte[] val)

### NonNegativeInteger

    public NonNegativeInteger(int signum,
                              byte[] magnitude)

### NonNegativeInteger

    public NonNegativeInteger(int bitLength,
                              int certainty,
                              java.util.Random rnd)

### NonNegativeInteger

    public NonNegativeInteger(int numBits,
                              java.util.Random rnd)

### NonNegativeInteger

    public NonNegativeInteger(java.lang.String val)

### NonNegativeInteger

    public NonNegativeInteger(java.lang.String val,
                              int radix)

Method Detail

### writeReplace

    public java.lang.Object writeReplace()
                                  throws java.io.ObjectStreamException

  Work-around for http://developer.java.sun.com/developer/bugParade/bugs/4378370.html

  Returns:
    BigIntegerRep
  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.